Main Page Modules Data Structures File List Data Fields Globals Related Pages

# _dbiIndexItem Struct Reference
[DataBase Index element API.]

`#include <rpmdb.h>`

## Data Fields
unsigned int | hdrNum
unsigned int | tagNum
unsigned int | fpNum

## Detailed Description

A single item from an index database (i.e. the "data returned"). Note: In rpm-3.0.4 and earlier, this structure was passed by value, and was identical to the "data saved" structure below.

Definition at line 60 of file rpmdb.h.

## Field Documentation

unsigned int _dbiIndexItem::fpNum

| finger print index Definition at line 63 of file rpmdb.h. Referenced by dbt2set, rpmdbFindFpList, and rpmdbGrowIterator.

unsigned int _dbiIndexItem::hdrNum

| header instance in db Definition at line 61 of file rpmdb.h. Referenced by dbiIndexNewItem, dbiIndexRecordOffset, dbt2set, rpmdbFindByFile, and rpmdbFindFpList.

unsigned int _dbiIndexItem::tagNum

| tag index in header Definition at line 62 of file rpmdb.h. Referenced by dbiIndexNewItem, dbiIndexRecordFileNumber, dbt2set, rpmdbAdd, rpmdbFindByFile, and rpmdbFindFpList.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h